Bug 630261 - Review Request: ghc-bytestring-nums - Parse numeric literals from ByteStrings
Review Request: ghc-bytestring-nums - Parse numeric literals from ByteStrings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-JSONb
  Show dependency treegraph
 
Reported: 2010-09-04 09:56 EDT by Ben Boeckel
Modified: 2011-02-07 14:59 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-bytestring-nums-0.3.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-07 14:54:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 09:56:50 EDT
Spec URL: http://benboeckel.net/packaging/ghc-bytestring-nums/ghc-bytestring-nums.spec
SRPM URL: http://benboeckel.net/packaging/ghc-bytestring-nums/ghc-bytestring-nums-0.3.2-1.fc14.src.rpm
Description:
Parse numeric literals from ByteStrings.

% lintmock fedora-14-x86_64-bb
ghc-bytestring-nums.src: W: strange-permission bytestring-nums-0.3.2.tar.gz 0640L
ghc-bytestring-nums.src: W: strange-permission ghc-bytestring-nums.spec 0640L
ghc-bytestring-nums-prof.x86_64: E: devel-dependency ghc-bytestring-nums-devel
ghc-bytestring-nums-prof.x86_64: W: no-documentation
ghc-bytestring-nums-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/bytestring-nums-0.3.2/libHSbytestring-nums-0.3.2_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Narasimhan 2011-01-16 02:51:56 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ../ghc-bytestring-nums.spec   *.rpm
ghc-bytestring-nums.src: W: strange-permission bytestring-nums-0.3.2.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-bytestring-nums.src: W: strange-permission ghc-bytestring-nums.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-bytestring-nums-prof.x86_64: E: devel-dependency ghc-bytestring-nums-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-bytestring-nums-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-bytestring-nums-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/bytestring-nums-0.3.2/libHSbytestring-nums-0.3.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 4 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD  3 clause license.
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK. Upgrade to cabal2spec-0.22.4
        %clean is ignored - present anyway. OK. Upgrade to cabal2spec-0.22.4
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, present in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD 3 clause variant
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Yes LICENSE file is included in the base package.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum ghc-bytestring-nums-0.3.2-1.fc14.src/bytestring-nums-0.3.2.tar.gz 
f54377b9915a9074d8dc1a07f4f17298  ghc-bytestring-nums-0.3.2-1.fc14.src/bytestring-nums-0.3.2.tar.gz

md5sum ~/Downloads/bytestring-nums-0.3.2.tar.gz 
f54377b9915a9074d8dc1a07f4f17298  ~/Downloads/bytestring-nums-0.3.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list 
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpqmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-bytestring-nums
error: Failed dependencies:
	ghc-bytestring-nums = 0.3.2-1.fc14 is needed by (installed) ghc-bytestring-nums-devel-0.3.2-1.fc14.x86_64

rpm -e ghc-bytestring-nums-devel
error: Failed dependencies:
	ghc-bytestring-nums-devel = 0.3.2-1.fc14 is needed by (installed) ghc-bytestring-nums-prof-0.3.2-1.fc14.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --list and whatprovids
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Install went fine. Imported Data.ByteString.Nums.Careless.Int into ghci. Import works fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK. Please upgrade to cabal2spec 0.22.4

APPROVED.
Comment 2 Ben Boeckel 2011-01-23 12:29:19 EST
New Package CVS Request
=======================
Package Name: ghc-bytestring-nums
Short Description: Parse numeric literals from ByteStrings
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 3 Jason Tibbitts 2011-01-24 12:43:56 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-01-29 12:48:05 EST
ghc-bytestring-nums-0.3.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-bytestring-nums-0.3.2-1.fc14
Comment 5 Fedora Update System 2011-01-29 12:48:12 EST
ghc-bytestring-nums-0.3.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-bytestring-nums-0.3.2-1.fc13
Comment 6 Fedora Update System 2011-01-30 14:48:28 EST
ghc-bytestring-nums-0.3.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-bytestring-nums'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-bytestring-nums-0.3.2-1.fc14
Comment 7 Fedora Update System 2011-02-07 14:54:54 EST
ghc-bytestring-nums-0.3.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-02-07 14:59:06 EST
ghc-bytestring-nums-0.3.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.